const CREATE_CHALLENGE = 'h2h/CREATE_CHALLENGE';

const IS_REQUEST = 'h2h/IS_REQUEST';
const IS_REQUEST_SUCCESS = 'h2h/IS_REQUEST_SUCCESS';
const IS_REQUEST_FAILED = 'h2h/IS_REQUEST_FAILED';

const LOAD_CHALLENGES = 'h2h/LOAD_CHALLENGES';
const LOAD_H2H = 'h2h/LOAD_H2H';
const LOAD_CURRENT_H2H = 'h2h/LOAD_CURRENT_H2H';
const UPDATE_CURRENT_H2H = 'h2h/UPDATE_CURRENT_H2H';
const LOAD_CURRENT_GAMEWEEK = 'h2h/LOAD_CURRENT_GAMEWEEK';
const CLEAR_ERROR = 'h2h/CLEAR_ERROR';

const REFRESH_H2H = 'h2h/REFRESH_H2H';

export {
  IS_REQUEST,
  IS_REQUEST_FAILED,
  IS_REQUEST_SUCCESS,
  CREATE_CHALLENGE,
  LOAD_CHALLENGES,
  LOAD_CURRENT_GAMEWEEK,
  LOAD_H2H,
  CLEAR_ERROR,
  REFRESH_H2H,
  LOAD_CURRENT_H2H,
  UPDATE_CURRENT_H2H
};
